> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Object Subscriptions

> API to fetch a paginated list of users or child objects subscribed to a given object.



## OpenAPI

````yaml GET /v1/object/{object_type}/{id}/subscription/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/object/{object_type}/{id}/subscription/:
    get:
      summary: List Object Subscriptions
      description: >-
        API to fetch a paginated list of users or child objects subscribed to a
        given object.
      operationId: list-object-subscriptions
      parameters:
        - name: id
          in: path
          description: Unique identifier of the object in your system
          schema:
            type: string
          required: true
        - name: object_type
          in: path
          description: >-
            Used to group similar objects together. Give plural namespace like
            teams, organizations, and roles.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 3
                      limit: 10
                      has_prev: false
                      before: null
                      has_next: false
                      after: null
                    results:
                      - properties: {}
                        user: null
                        object:
                          id: devs
                          object_type: teams
                          subscriptions_count: 1
                          updated_at: '2025-04-06T11:00:24.257046+00:00'
                        created_at: '2025-04-06T11:00:24.260496+00:00'
                        updated_at: '2025-04-06T11:00:24.260496+00:00'
                      - properties:
                          role: employee
                        user:
                          distinct_id: akhil.m@suprsend.com
                          updated_at: '2023-08-25T13:31:24.517819+00:00'
                        object: null
                        created_at: '2024-11-10T21:40:02.169501+00:00'
                        updated_at: '2024-11-10T21:40:02.169501+00:00'
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        example: 1
                        description: Total number of results.
                      limit:
                        type: integer
                        example: 10
                        description: Maximum number of results returned per request.
                      has_prev:
                        type: boolean
                        description: Indicates if there are previous results.
                      before:
                        type: string
                        description: Cursor for the previous page, if applicable.
                      has_next:
                        type: boolean
                        description: Indicates if there are more results.
                      after:
                        type: string
                        description: Cursor for the next page, if applicable.
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: object
                          properties:
                            distinct_id:
                              type: string
                              description: unique identifier of the user
                              example: _distinct_id_
                            updated_at:
                              type: string
                              format: date-time
                              description: time when user was subscribed to this list
                              example: '2025-04-04T09:55:12.422Z'
                        object:
                          type: object
                          properties:
                            id:
                              type: string
                              description: unique identifier of the object
                              example: frontend
                            object_type:
                              type: string
                              description: >-
                                type of object like teams, organizations, and
                                roles. Used to group similar objects together.
                              example: frontend
                            subscriptions_count:
                              type: integer
                              description: >-
                                number of users/child objects subscribed to this
                                object
                            updated_at:
                              type: string
                              format: date-time
                              description: timestamp when subscription was first created
                              example: '2025-04-04T09:55:12.422Z'
                        properties:
                          type: object
                          description: >-
                            object subscription properties, referred as
                            `$recipient.subscription.<key>` in template or
                            workflow.
                        created_at:
                          type: string
                          format: date-time
                          example: '2025-04-04T09:55:12.397Z'
                        updated_at:
                          type: string
                          format: date-time
                          example: '2025-04-04T09:55:12.422Z'
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    message: object 'obj_type/obj_id' not found
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code indicating the error.
                  message:
                    type: string
                    description: >-
                      Error message indicating object_id and type combination is
                      not found
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````